//---------------------------------------------------------------------------

#include <vcl.h>
#include <iterator>
#include "algostuff.hpp"

#include <conio.h> //  getch()

#pragma hdrstop

//---------------------------------------------------------------------------

#pragma argsused
using namespace std;

std::string ToRus(const std::string &in)
{
  char *buff = new char [in.length()+1];
  CharToOem(in.c_str(),buff);
  std::string out(buff);
  delete [] buff;
  return out;
}

int main()
{
  deque<int> coll;

  INSERT_ELEMENTS(coll,1,9);
  INSERT_ELEMENTS(coll,1,9);

  PRINT_ELEMENTS(coll," :\n");

  //  
  sort (coll.begin(), coll.end());

  PRINT_ELEMENTS(coll,"  :\n");

  //    
  sort (coll.begin(), coll.end(),    // 
        greater<int>());             //  

  PRINT_ELEMENTS(coll,"  :\n");


  getch();
  return 0;
}

//---------------------------------------------------------------------------